### Function

# St FocusManager get_for_stage

#### Declaration [src]

    StFocusManager*
    st_focus_manager_get_for_stage (
      ClutterStage* stage
    )

#### Description [src]

Gets the `StFocusManager` for `stage`, creating it if necessary.

#### Parameters

`stage`

  Type: `ClutterStage`

  A `ClutterStage`.

  The data is owned by the caller of the function.

#### Return value

Type: `StFocusManager`

The focus manager for `stage`.

The data is owned by the called function.